// (C) 2024-2025 GoodData Corporation
import { createSelector } from "@reduxjs/toolkit";
const selectSelf = createSelector((state) => state, (state) => state.users);
/**
 * Returns true if users are loading.
 *
 * @alpha
 */
export const selectUsersLoadingStatus = createSelector(selectSelf, (state) => {
    return state.status;
});
/**
 * Returns error if users loading failed.
 *
 * @alpha
 */
export const selectErrorUsers = createSelector(selectSelf, (state) => {
    return state.error;
});
/**
 * Returns workspace users.
 *
 * @alpha
 */
export const selectUsers = createSelector(selectSelf, (state) => {
    return state.users;
});
